summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author stormtracknole <stormtracknole@gmail.com>2010-03-22 02:43:06 -0500
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 14:27:19 +0200
commita82b64be56607f5defdc868b83cff08d8d9d4fcc (patch)
tree228f07fd41ed2240654199febcd3ae298dda913a
parent9d295ae5e207d4a4acea7bbeafdba8353c793417 (diff)
downloadslackbuilds-a82b64be56607f5defdc868b83cff08d8d9d4fcc.tar.gz
slackbuilds-a82b64be56607f5defdc868b83cff08d8d9d4fcc.tar.xz
multimedia/mlt: Updated for version 0.5.2.
-rw-r--r--multimedia/mlt/README3
-rw-r--r--multimedia/mlt/mlt.SlackBuild26
-rw-r--r--multimedia/mlt/mlt.info8
3 files changed, 29 insertions, 8 deletions
diff --git a/multimedia/mlt/README b/multimedia/mlt/README
index 686b97fc1b..fb794354b2 100644
--- a/multimedia/mlt/README
+++ b/multimedia/mlt/README
@@ -8,3 +8,6 @@ extensible plug-in based API.
This requires libdv, libsamplerate, and ffmpeg.
libquicktime is optional but recommended, since it will be needed
by kdenlive anyway.
+
+Optional:
+By default PYTHON=yes for openshot. \ No newline at end of file
diff --git a/multimedia/mlt/mlt.SlackBuild b/multimedia/mlt/mlt.SlackBuild
index 0455b607a5..c0f2dcebef 100644
--- a/multimedia/mlt/mlt.SlackBuild
+++ b/multimedia/mlt/mlt.SlackBuild
@@ -6,11 +6,25 @@
# Modified by Erik Hanson (erik@slackbuilds.org) with
# help from Jonathan Larsen (agentc0re@learnix.net)
+#
+# Feb 16, 2010 - Modified the script and defined the $PYTHON variable
+# outside of the if statement because it was causing issues with
+# the other if statement that also relies on it's answer.
+# - Fixed the second PYTHON if statement that finds the site package
+# directory. Added parentheses around the part that cd's into the
+# python swig src to copy the files to the site packages so that it
+# would interfere with the CWD before it
+#
+
+# Mar 3rd, 2010
+# *Version upgrade to 0.5.2
+# *fixed the "strip" for bash 4 compatability
+#
PRGNAM=mlt
-VERSION=${VERSION:-0.4.10}
+VERSION=${VERSION:-0.5.2}
ARCH=${ARCH:-i486}
-BUILD=${BUILD:-3}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
CWD=$(pwd)
@@ -18,6 +32,8 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
+PYTHON=${PYTHON:-yes}
+
# SWIG Languages:
if [ "${JAVA:-no}" = "no" ]; then java=""; else java="java"; fi
if [ "${LUA:-no}" = "no" ]; then lua=""; else lua="lua"; fi
@@ -75,8 +91,10 @@ make install DESTDIR=$PKG
if [ $PYTHON = "yes" ]; then
PYTHONSITEPKG=$(python -c "import sys, os; print os.path.join('/usr/lib${LIBDIRSUFFIX}', 'python%s' % sys.version[:3], 'site-packages')")
mkdir -p $PKG/$PYTHONSITEPKG
- cd $TMP/$PRGNAM-$VERSION/src/swig/python
- cp -a _mlt.so mlt.py mlt_wrap.o $PKG/$PYTHONSITEPKG
+ (
+ cd $TMP/$PRGNAM-$VERSION/src/swig/python || true
+ cp -a _mlt.so mlt.py mlt_wrap.o $PKG/$PYTHONSITEPKG || true
+ )
fi
( cd $PKG
diff --git a/multimedia/mlt/mlt.info b/multimedia/mlt/mlt.info
index 1bbe3214cd..475a222a29 100644
--- a/multimedia/mlt/mlt.info
+++ b/multimedia/mlt/mlt.info
@@ -1,10 +1,10 @@
PRGNAM="mlt"
-VERSION="0.4.10"
+VERSION="0.5.2"
HOMEPAGE="http://mltframework.org/"
-DOWNLOAD="http://downloads.sourceforge.net/mlt/mlt-0.4.10.tar.gz"
-MD5SUM="7b0ba842277ea0a77e40a15917ab623f"
+DOWNLOAD="http://downloads.sourceforge.net/mlt/mlt-0.5.2.tar.gz"
+MD5SUM="8d556b11710fc24801e06b893ac5d61b"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
MAINTAINER="stormtracknole"
EMAIL="stormtracknole@gmail.com"
-APPROVED="dsomero"
+APPROVED="Erik Hanson"